/***************************************************************************
 *                                                                         *
 *   CFIX.C                                                                *
 *                                                                         *
 *   Copyright (C) 1994-1995 Ewe-Nique Creations  All Rights Reserved.     *
 *                                                                         *
 *   Credit utility fixer for user database                                *
 *                                                                         *
 *                                               - Bil Simser 10/29/94     *
 *                                                                         *
 ***************************************************************************/

#include "gcomm.h"
#include "majorbbs.h"

void main(void);
STATIC void clrscrx(void);
STATIC void fix_users(void);

void main(void)
{
    static char savbf[SCNSIZ];
    
    cursact(0);                        /* don't move the cursor all over   */
    movmem(frzseg(), savbf, SCNSIZ);   /* save current screen              */
    setwin(NULL, 10, 9, 70, 14, 0);    /* define our window                */
    setatr(0x30);                      /* set the color to black on cyan   */
    printf("\f");                      /* fill the screen with our attr    */
    clrscrx();                         /* title screen                     */
    fix_users();                       /* step through the BBSUSR.DAT file */
    rstwin();                          /* restore our window               */
    movmem(savbf, frzseg(), SCNSIZ);   /* restore the original screen      */
}

STATIC void clrscrx(void)
{
    setatr(0x3E);
    prat(12, 10, "CFIX - User Credit Utility for MajorBBS v6.xx (FREEWARE!)\n");
    prat(22, 11, "Copyright (c) 1994 Ewe-Nique Creations");
}

STATIC void fix_users(void)
{
    BTVFILE *accbb;
    struct usracc usaptr;
    
    accbb=opnbtv("bbsusr.dat", sizeof(struct usracc));
    setbtv(accbb);
    
    if(alobtv(&usaptr, 0))
    {
        setatr(0x3F);
        do
        {
            prat(27, 13, "Updating %s", usaptr.userid);
            gcrbtv(&usaptr, 0);
            if(usaptr.creds<3600L)
            {
                usaptr.creds=3600L;
                updbtv(&usaptr);
            }
            clreol();
        } while(qnxbtv());
    }
    clsbtv(accbb);
}
